Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

Clarifying the upgrade path to Prime Infrastructure 1.3.0.20 Update 4

Upgrade  note:   If you have an HA setup, it's important to note that HA must be  REMOVED (not just disabled) prior to starting an upgrade.   Administration > High Availability > HA Configuration > Remove  button.

 

Note regarding PI_1_3_0_20-Update.1.12.tar.gz:  this patch is NOT required to apply PI_1_3_0_20-Update.4.16.tar.gz, however, if you have already applied this patch, Update.4.16 can be applied directly over any other PI_1_3_0_20-Update.1.xxxx.tar.gz patches.

 

PI_1_3_0_20-Update.4.16.tar.gz is a cumulative patch, consisting of Update 1 and internal updates 2 & 3, as well as the Chrome patch (CSCui77571).

 

 

Current VersionUpgrade PathRequired Files - in install orderNotes

NCS 1.1.0.58

1.1.0.58 => 1.3.0.20 Update 4

ncs_patch-1.1.0.58-upgrade-12.tar.gz

Patch required to upgrade to PI 1.3.0.20.  Backup and Restore required before proceeding.

  

PI-upgrade-bundle-1.3.0.20.tar.gz

Upgrade bundle taking current patched version to PI 1.3.0.20

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4 (this patch can be installed on top of all other "PI_1_3_0_20-Update.1" patches, but those others are not required)

    

NCS 1.1.1.24

1.1.1.24 => 1.3.0.20 Update 4

ncs_1_1_1_24-Update.13.4.tar.gz

Patch required to upgrade to PI 1.3.0.20.  Backup and Restore required before proceeding.

  

PI-upgrade-bundle-1.3.0.20.tar.gz

Upgrade bundle taking current patched version to PI 1.3.0.20

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4  (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"  patches, but those others are not required)

    

NCS 1.1.2.12 (FIPS) - See Service Advisory below

1.1.2.12 => 1.3.0.20 Update 4

 

Must take a backup of existing 1.1.2.12 and restore into a patched version of 1.3.0.20 (new server)

  

NCS-patch-1.3.0.20-CSCue74129.tar.gz

Patch required on top of 1.3.0.20.  Once patch is installed, you can restore the backup from 1.1.2.12

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4   (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"   patches, but those others are not required)

    

NCS 1.1.3.2 (FIPS) - See Service Advisory below

1.1.3.2 => 1.3.0.20 Update 4

 

Must take a backup of existing 1.1.3.2 and restore into a patched version of 1.3.0.20 (new server)

  

NCS-patch-1.3.0.20-CSCue74129.tar.gz

Patch required on top of 1.3.0.20.  Once patch is installed, you can restore the backup from 1.1.3.2

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4   (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"   patches, but those others are not required)

    

PI 1.2.0.103

1.2.0.103 => 1.2.1.12 => 1.3.0.20 Update 4

pi_1.2.1.12_update.tar.gz

Installed on 1.2.0.103, upgrades to 1.2.1.12

  

PI_1_2_1_12u-Update.1.tar.gz

installed on upgraded server now running 1.2.1.12.  This fixes bug CSCue50717.

  

PI-upgrade-bundle-1.3.0.20.tar.gz

Upgrade bundle taking current patched version to PI 1.3.0.20

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4   (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"   patches, but those others are not required)

    

PI 1.2.1.12

1.2.1.12 => 1.3.0.20 Update 4

PI_1_2_1_12-Update.1.0.tar.gz 

Patch required to upgrade to PI 1.3.0.20

  

PI-upgrade-bundle-1.3.0.20.tar.gz

Upgrade bundle taking current patched version to PI 1.3.0.20

  

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4   (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"   patches, but those others are not required)

    

PI 1.3.0.20

1.3.0.20 => 1.3.0.20 Update 4

PI_1_3_0_20-Update.1.12.tar.gz

Patch taking to PI 1.3.0.20 Update 1 - Not required, but if you have already applied this patch, here is where you are in patch sequence.

  

PI_1_3_0_20-Update.4.16.tar.gz

Patch taking to PI 1.3.0.20 Update 4   (this patch can be installed on top of all other "PI_1_3_0_20-Update.1"   patches, but those others are not required)

 

 

Upgrade   note:   If you have an HA setup, it's important to note that HA must  be  REMOVED (not just disabled) prior to starting an upgrade.    Administration > High Availability > HA Configuration > Remove   button.

 

Documentation Links:

Offical documenation covering Upgrading Prime Infrastructure:  http://www.cisco.com/en/US/docs/wireless/prime_infrastructure/1.3/quickstart/guide/cpi_qsg130.html#wp56675

 

Service advisory for NCS 1.1.2.12 and NCS 1.1.3.2:  http://www.cisco.com/en/US/docs/net_mgmt/prime/infrastructure/1.3/software/advisory/Software_Advisory_CPI_1_1_2_and_1_1_3.pdf

 

Installing the point patch:  http://www.cisco.com/en/US/docs/wireless/prime_infrastructure/1.3/quickstart/guide/cpi_qsg130.html#wp69624

Performing Inline Upgrade: http://www.cisco.com/en/US/docs/wireless/prime_infrastructure/1.3/quickstart/guide/cpi_qsg130.html#wp65395

 

 

Software Links:

NCS 1.1.0.58 - PI 1.2.1.12 patches: http://tools.cisco.com/squish/53bFA

PI 1.3.0.20 Upgrade Bundle: http://tools.cisco.com/squish/F171c

PI 1.3.0.20 Update 1 & Update 4 patches:  http://tools.cisco.com/squish/ab3d5

 

Reviewing the "Tips for upgrading to Prime Infrastructure " support forums document is also extremely helpful.

5611
Views
20
Helpful
0
Comments